<?php
session_start();

	use PHPMailer\PHPMailer\PHPMailer;
	use PHPMailer\PHPMailer\Exception;

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
require('fphp.php');

$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
$cedula=$_REQUEST["cedula"];
$enlace=cargar_conexion();
///lo comentarié porque puede estar insertando el periodo sin validar el tipo de nomina a la que pertenece el empleado en buzon_fondo_ahorro.. creo que se puede quitar por completo esta parte --(ver "fondo_ahorros_informe_trabajador.php")-- Miguelangel 02/03/2023
/* 
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $_SESSION['per_validar']='';
*/

///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////


	
	$consulta="select fechai,nombres,nombres1,apellidos,apellidos1,cargo,smes, departamento,nomina from personal where codigo='".$cedula."' ";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	$row=mysqli_fetch_array($resultado);
	$fechai = $row['fechai'];
	$tiponomina = $row['nomina'];
	
	$consulta = "SELECT * from buzon_fondo_ahorro where id='" . $_SESSION['id_validar'] . "' AND estado!='RECHAZADA' AND CEDULA='".$cedula."' AND periodo ='".$_SESSION['per_validar']."' ; ";
	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	
		if (mysqli_num_rows($resultado) != 0){
        $respuesta = mysqli_fetch_array($resultado);
        print '<script language="JavaScript">';
        print 'alert(" Usted tiene una solicitud al Fondo de Ahorros en Proceso,\n para el perÃ­odo: '.$_SESSION['per_validar'].'");';
        print 'window.history.go(-1);';
        print '</script>';


    }
	menu();
	
	//================== buscar cargo
	$consultaf="select detalle from tablas where tabla='CARGO' and codigo='".$row['cargo']."'  and id='".$_SESSION['id_validar']."'";
	$resultadof = mysqli_query($enlace,$consultaf) or die($consultaf . mysqli_error($enlace));
	$rowf=mysqli_fetch_array($resultadof);
	$car=$rowf['detalle'];

	//================== buscar departamento
	$consultaf="select detalle from tablas where tabla='DEPARTAMENTO' and codigo='".$row['departamento']."'  and id='".$_SESSION['id_validar']."'";
	$resultadof = mysqli_query($enlace,$consultaf) or die($consultaf . mysqli_error($enlace));
	$rowf=mysqli_fetch_array($resultadof);
	$dep=$rowf['detalle'];
	
		function accion(){
			$enlace=cargar_conexion();

        $insertSolicitud = "INSERT INTO buzon_fondo_ahorro
        (id,cedula,nombres,apellidos, email,ingreso, nomina, periodo, tipo_solicitud, monto, estado, cuotas, nombre_sup, email_sup, ordinario, empresa, voluntario, dividendos, deuda_prestamo)
        
		VALUES ('".$_SESSION['id_validar']."','".$_POST['cedula']."','".$_POST['nombres']."','".$_POST['apellidos']."','".$_POST['email']."',
		'".$_POST['ingreso']."','".$_POST['nomina']."','".$_POST['periodo']."','AFILIACION','0','PENDIENTE','0','Jose Sanchez','JSANCH32@FORD.COM','".$_POST['aporte_ordinario']."','0','".$_POST['aporte_voluntario']."','0','0')";
        $resultado = mysqli_query($enlace,($insertSolicitud)) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
        
		
		}
	
			if ($_POST['grabar'] == '1') {
		
			if ($_POST['aporte_ordinario']< 10 && $_POST['aporte_voluntario']>0){

            print '<script language="JavaScript">';
            print 'alert("Para hacer Aporte Voluntario debe cotizar el 10 % de Aporte Ordinario");';
            print 'window.history.go(-2);';
            print '</script>';
            exit();
			}else{
				accion();
				
					////Consulta para traer el % total a cotizar después que se guarda-- no lo pude traer por POST -- Miguelangel 16/02/2023
		$ConsultaSolicit = "select ordinario, voluntario from buzon_fondo_ahorro  where cedula='".$_POST['cedula']."' and tipo_solicitud = 'AFILIACION' AND estado = 'PENDIENTE' ";
		$resultadoS = mysqli_query($enlace,$ConsultaSolicit) or die($ConsultaSolicit . mysqli_error($enlace));
		$rowS=mysqli_fetch_array($resultadoS);
		$AporteOrd=$rowS['ordinario'];
		$AporteVol=$rowS['voluntario'];
		$porcentajeAportes = $AporteOrd + $AporteVol ;	
			
			require 'hcm_files/PHPMailer/src/Exception.php';
			require 'hcm_files/PHPMailer/src/PHPMailer.php';
			require 'hcm_files/PHPMailer/src/SMTP.php';
			
			$mail = new PHPMailer(true);
		 //Servidor de correo configuracion
			 //$mail->SMTPDebug = 2; //Enable verbose debug output
			 $mail->isSMTP(); // Set mailer to use SMTP
			 $mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
			 $mail->SMTPAuth = true; // Enable SMTP authentication
			 $mail->Username = 'info@saireh-nomina.com'; // SMTP username
			 $mail->Password = 'c0n5ul74rh3'; // SMTP password
			 $mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
			 $mail->Port = 465; // TCP port to connect to
			 ///envio de correos hasta aqui
			 
			 //Recipients
			 $mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Ford');
			 $mail->addAddress($_POST['email']); //$mail->addAddress('GSAYAGO1@FORD.COM','Gustavo Sayago'); ///Se puede personalizar el nombre de ldestiantario
			 ////SIEMPRE deben escribirse en mayúsculas las direcciones de correo 
			//$mail->addAddress('BSALAZA3@FORD.COM');///Una linea por cada destinatario
			 $mail->addAddress('JSANCH32@FORD.COM');///Una linea por cada destinatario
			 $mail->addCC('NOMINA.FORD@SAIREH.COM');
			
			$asunto = 'Solicitud de AFILIACION al Fondo de Ahorros - '.$_POST['nombres'].", ".$_POST['apellidos'];
				$mensaje= "Señores:
				Junta Directiva del Fondo de Ahorros de los Trabajadores de Ford Motor de Venezuela, S.A.<br><br>
				
				Por medio de la presente solicito sea admitido como participante al Fondo de Ahorros que ustedes presiden. Para tal efecto de acuerdo al artículo N° 08 de los estatutos que rigen el funcionamiento de dicho fondo, he asignado el ".$porcentajeAportes." % de mi salario mensual.<br><br>
				% Aporte Ordinario: ". $_POST['aporte_ordinario']."<br>
				% Aporte Voluntario: ". $_POST['aporte_voluntario']."<br><br>
				". $_POST['nombres']." ". $_POST['apellidos']."
				";
				
				/*
				"Señores:
				Junta Directiva del Fondo de Ahorros de los Trabajadores de Ford Motor de Venezuela, S.A.\n
				Por medio de la presente solicito me sea concedido conforme a lo estatutos y 
				reglamentos del fondo de ahorro un préstamo sobre mis ahorros por la cantidad de: Bs. ".$_POST['solicitado'].",
				dicha cantidad no excede del 80% de mi saldo disponible a la fecha.\n\n
				Saldo Total disponible para préstamo: Bs. ". $_POST['disponiblePrestamo']."\n\n
				Préstamo: Bs. ".$_POST['solicitado']."
				".$_POST['apellidos'].", ".$_POST['nombres']."
				Cédula: ".$_POST['cedula']."
				Departamento: ".$_POST['dpto']." ";
				*/
				
				
			 $mail->isHTML(true); // Set email format to HTML
			 $mail->Subject = $asunto;
			 $mail->Body = $mensaje;
			 $mail->AltBody = $mensaje;
			
				$mail->send();
				
				////MUESTRA EL MODAL EN PANTALLA 
				print '<script language="JavaScript">';
				print 'alert(" Su solicitud ha sido registrada exitosamente");';
				print 'window.history.go(-2);';
				print '</script>';
				exit();
			}
		
		}
		echo "<html><head>
		<title>[ SAIREH ]</title>
	<script language='javascript' src='fscript.js'></script>
		<link rel='stylesheet' type='text/css' href='styles.css' />
		<link rel='shortcut icon' type='image/x-icon' href='images/favicon.ico'>

		<link href='css-mag/bootstrap.css' rel='stylesheet' type='text/css' />
		<link href='css-mag/style.css' rel='stylesheet' type='text/css' />
		<link href='css-mag/slider.css' rel='stylesheet' type='text/css' media='all'/>
<link href='css-mag/nav.css' rel='stylesheet' type='text/css' media='all'/>
<link href='http://fonts.googleapis.com/css?family=Open+Sans:300,400,500,600,700,800,900' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:300:700' rel='stylesheet' type='text/css'>
</head>
		<body>";
	
	echo " <div id='loginBox'>
					<form id='loginForm'>
						<div class='search_box'>
							<input type='text' value='Search' onfocus='this.value = '';' onblur='if (this.value == '') {this.value = 'Search';}'>
							<input type='submit' value=''>
						</div>
					</form>
				</div>
				</div>
			</div>
			</div>
			<div class='clearfix'></div>
		</div>
		</div>
	</div>

	<div class='header_bottom'>";
	echo "<form name = 'fentrada' action = '" . $_SERVER['PHP_SELF'] . "' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'grabar' value = '1'>";
	echo "<div class='container'>
	<br>";
	
		echo "<hr><h3><center>SOLICITUD DE AFILIACION AL FONDO DE AHORROS<center></h3>";
		
		// ------ Variables para insertar
	echo "<input type = 'hidden' name = 'nombres'  value = '".trim($row['nombres'])." ".trim($row['nombres1']). "'>";
    echo "<input type = 'hidden' name = 'apellidos'  value = '".trim($row['apellidos'])." ".trim($row['apellidos1'])."'>";
    echo "<input type = 'hidden' name = 'email'  value = '".$_SESSION['email_validar']."'>";
    echo "<input type = 'hidden' name = 'ingreso'  value = '".$row['fechai']."'>";
    echo "<input type = 'hidden' name = 'nomina'  value = '".$row['nomina']."'>";
    echo "<input type = 'hidden' name = 'periodo'  value = '".$_SESSION['per_validar']."'>";
    echo "<input type = 'hidden' name = 'cedula'  value = '".$cedula."'>";
	echo "<input type = 'hidden' name = 'porcentajeAportes'  value = '".$porcentajeAportes."'>";

		
			//================== mostrar datos personales
	
	echo "<table class='default'  border=1>";
	  echo "<tr>";
		echo "<table class='default' align=center >";
		
			echo "<tr>";
				echo "<td colspan=4 align=center bgcolor='#43bced'><H4> DATOS DEL TRABAJADOR </H4>";
			echo "</tr>";

			echo "<tr>";

				echo "<td   width=400> <b>Nombres: </b>".trim($row['nombres'])." ".trim($row['nombres1'])." ".trim($row['apellidos'])." ".trim($row['apellidos1'])."</td>";

				echo "<td   width=200> <b>C&eacute;dula: </b>".$cedula."</td>";

			echo "</tr>";
			
			echo "<tr>";

				echo "<td   width=400> <b>Cargo: </b>".$car."</td>";

				echo "<td   width=400> <b>Departamento: </b>".$dep."</td>";

			echo "</tr>";
			
			echo "<tr>";

				echo "<td   width=400> <b>Sueldo Básico (Bs): </b>".number_format($row['smes'],2)."</td>";

				echo "<td   width=400> <b>Fecha de Ingreso: </b>".mostrar_fecha($row['fechai'])."</td>";

			echo "</tr>";
			
			echo "<tr>";

				echo "<td   width=400> <b>email: </b>".$_SESSION['email_validar']."</td>";

				echo "<td   width=400> </td>";

			echo "</tr>";
			
			echo "<tr>";

				echo "<td   colspan=4 width=400>Bajo los estatutos del Fondo de Ahorros de Ford Motor de Venezuela SA Todas las personas que ingresan a la compañia [o están activos en el momento de la solicitud] tienen derecho a asociarse al Fondo de Ahorros aportando mínimo 3% y máximo 10% de su sueldo básico mensual. Esta asociación será efectiva 1 mes después de la fecha de ingreso. El aporte del empleado se hará efectivo en el primer período de pago siguiente a la fecha de inscripción (semanal para nómina diaria o quincena para nómina mensual). </td>";

			echo "</tr>";
			
			echo "<tr>";

				echo "<td   colspan=4 width=400><h4>A continuación puede solicitar su afiliación al Fondo de Ahorros seleccionando los campos correspondientes.</h4></td>";

			echo "</tr>";


		echo "</table><br>";
		
		
			echo "<table class='default' align=center border='1' >";
	
		echo "<tr>";
			echo "<td colspan=6 align=center bgcolor='#D5D9DD'><H4> PORCENTAJES A COTIZAR AL FONDO AHORROS </H4>";
		echo "</tr>";

		echo "<tr>";

			echo "<td   bgcolor='#D5D9DD' width=200 align=right> <b>% Aporte Ordinario: </b>";
			echo "<select name = 'aporte_ordinario'>";
						echo "<option value=''> Seleccione%";
						echo "<option> 3";
						echo "<option> 4";
						echo "<option> 5";
						echo "<option> 6";
						echo "<option> 7";
						echo "<option> 8";
						echo "<option> 9";
						echo "<option> 10";

					echo  "</select></td>";

			echo "<td   bgcolor='#D5D9DD' width=200 align=right> <b>% Aporte Voluntario: </b>";
			echo "<select name = 'aporte_voluntario'>";
						echo "<option value=''> Seleccione%";
						echo "<option> 3";
						echo "<option> 4";
						echo "<option> 5";
						echo "<option> 6";
						echo "<option> 7";
						echo "<option> 8";
						echo "<option> 9";
						echo "<option> 10";

					echo  "</select></td>";
			
		echo "</tr>";
		
		 echo "<tr><td align = 'right' > </td>";
        echo "<td align = 'left'>";
        echo "<input type = 'submit' value = 'Solicitar'>";
        echo "</td></tr>";
		

		
		echo "</table><br>";
		
	echo "</TABLE><br>";

echo "</font>";
echo "</body>";
echo "</html>";

?>
